Package org.apache.sysds.runtime.iogen

# Enum Class RowIndexStructure.IndexProperties

java.lang.Object
java.lang.Enum<RowIndexStructure.IndexProperties>
org.apache.sysds.runtime.iogen.RowIndexStructure.IndexProperties

All Implemented Interfaces:
  `Serializable`, `Comparable<RowIndexStructure.IndexProperties>`, `Constable`

Enclosing class:
  RowIndexStructure

public static enum RowIndexStructure.IndexProperties extends Enum<RowIndexStructure.IndexProperties>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CellWiseExist`
`Identity`
`RowWiseExist`
`SeqScatter`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static RowIndexStructure.IndexProperties`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RowIndexStructure.IndexProperties[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Identity

public static final RowIndexStructure.IndexProperties Identity

### CellWiseExist

public static final RowIndexStructure.IndexProperties CellWiseExist

### RowWiseExist

public static final RowIndexStructure.IndexProperties RowWiseExist

### SeqScatter

public static final RowIndexStructure.IndexProperties SeqScatter

## Method Details

### values

public static RowIndexStructure.IndexProperties[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RowIndexStructure.IndexProperties valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<RowIndexStructure.IndexProperties>`